#pragma once

#include "oh_my_loam/base/types.h"

namespace oh_my_loam {

// 定义特征结构体，用于存储点云的不同类型特征
struct Feature {
  TPointCloudPtr cloud_corner;        // 存储角点的点云
  TPointCloudPtr cloud_sharp_corner;  // 存储锐角点的点云
  TPointCloudPtr cloud_surf;          // 存储曲面点的点云
  TPointCloudPtr cloud_flat_surf;     // 存储平面点的点云

  Feature() {
    cloud_corner.reset(new TPointCloud);  // 初始化角点点云
    cloud_sharp_corner.reset(new TPointCloud);  // 初始化锐角点点云
    cloud_surf.reset(new TPointCloud);  // 初始化曲面点点云
    cloud_flat_surf.reset(new TPointCloud);  // 初始化平面点点云
  }
};

}  // namespace oh_my_loam
